
/*
 * This file was automatically generated using swig_doc.py.
 *
 * Any changes to it will be lost next time it is regenerated.
 */




%feature("docstring") gr::adapt::iqrd_rls_filter_cc "Inverse QR Decomposition Recursive Least Squares Adaptive Filter (complex in/out)

This block implements an IQRD-RLS-based adaptive filter.

Constructor Specific Documentation:

Make an IQRD-RLS adaptive filter

Args:
    num_taps : Number of taps in the filter (int)
    delta : Regularization factor of the update loop (float)
    _lambda : Forgetting factor of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    reset : Reset filter taps (bool)"

























%feature("docstring") gr::adapt::iqrd_rls_filter_cc::make "Inverse QR Decomposition Recursive Least Squares Adaptive Filter (complex in/out)

This block implements an IQRD-RLS-based adaptive filter.

Constructor Specific Documentation:

Make an IQRD-RLS adaptive filter

Args:
    num_taps : Number of taps in the filter (int)
    delta : Regularization factor of the update loop (float)
    _lambda : Forgetting factor of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    reset : Reset filter taps (bool)"

%feature("docstring") gr::adapt::iqrd_rls_filter_ff "Inverse QR Decomposition Recursive Least Squares Adaptive Filter (float in/out)

This block implements an IQRD-RLS-based adaptive filter.

Constructor Specific Documentation:

Make an IQRD-RLS adaptive filter

Args:
    num_taps : Number of taps in the filter (int)
    delta : Regularization factor of the update loop (float)
    _lambda : Forgetting factor of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    reset : Reset filter taps (bool)"

























%feature("docstring") gr::adapt::iqrd_rls_filter_ff::make "Inverse QR Decomposition Recursive Least Squares Adaptive Filter (float in/out)

This block implements an IQRD-RLS-based adaptive filter.

Constructor Specific Documentation:

Make an IQRD-RLS adaptive filter

Args:
    num_taps : Number of taps in the filter (int)
    delta : Regularization factor of the update loop (float)
    _lambda : Forgetting factor of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    reset : Reset filter taps (bool)"

%feature("docstring") gr::adapt::lms_filter_cc "Least Mean Squares Adaptive Filter (complex in/out)

This block implements a complex LMS-based adaptive filter [1].


[1] Widrow, Bernard, John McCool, and Michael Ball. \"The complex LMS algorithm.\" Proceedings of the IEEE 63.4 (1975): 719-720.

Constructor Specific Documentation:

Make an LMS adaptive filter

Args:
    first_input : Specifies whether first input is reference or error signal (bool)
    num_taps : Number of taps in the filter (int)
    mu : Gain of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    bypass : Bypass filter (bool)
    reset : Reset filter taps (bool)"





























%feature("docstring") gr::adapt::lms_filter_cc::make "Least Mean Squares Adaptive Filter (complex in/out)

This block implements a complex LMS-based adaptive filter [1].


[1] Widrow, Bernard, John McCool, and Michael Ball. \"The complex LMS algorithm.\" Proceedings of the IEEE 63.4 (1975): 719-720.

Constructor Specific Documentation:

Make an LMS adaptive filter

Args:
    first_input : Specifies whether first input is reference or error signal (bool)
    num_taps : Number of taps in the filter (int)
    mu : Gain of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    bypass : Bypass filter (bool)
    reset : Reset filter taps (bool)"

%feature("docstring") gr::adapt::lms_filter_ff "Least Mean Squares Adaptive Filter (float in/out)

This block implements an LMS-based adaptive filter.

Constructor Specific Documentation:

Make an LMS adaptive filter

Args:
    first_input : Specifies whether first input is reference or error signal (bool)
    num_taps : Number of taps in the filter (int)
    mu : Gain of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    bypass : Bypass filter (bool)
    reset : Reset filter taps (bool)"





























%feature("docstring") gr::adapt::lms_filter_ff::make "Least Mean Squares Adaptive Filter (float in/out)

This block implements an LMS-based adaptive filter.

Constructor Specific Documentation:

Make an LMS adaptive filter

Args:
    first_input : Specifies whether first input is reference or error signal (bool)
    num_taps : Number of taps in the filter (int)
    mu : Gain of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    bypass : Bypass filter (bool)
    reset : Reset filter taps (bool)"

%feature("docstring") gr::adapt::nlms_filter_cc "Normalized Least Mean Squares Adaptive Filter (complex in/out)

This block implements an NLMS-based adaptive filter.

Constructor Specific Documentation:

Make a NLMS adaptive filter

Args:
    first_input : Specifies whether first input is reference or error signal (bool)
    num_taps : Number of taps in the filter (int)
    mu : Gain of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    bypass : Bypass filter (bool)
    reset : Reset filter taps (bool)"





























%feature("docstring") gr::adapt::nlms_filter_cc::make "Normalized Least Mean Squares Adaptive Filter (complex in/out)

This block implements an NLMS-based adaptive filter.

Constructor Specific Documentation:

Make a NLMS adaptive filter

Args:
    first_input : Specifies whether first input is reference or error signal (bool)
    num_taps : Number of taps in the filter (int)
    mu : Gain of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    bypass : Bypass filter (bool)
    reset : Reset filter taps (bool)"

%feature("docstring") gr::adapt::nlms_filter_ff "Normalized Least Mean Squares Adaptive Filter (float in/out)

This block implements an NLMS-based adaptive filter.

Constructor Specific Documentation:

Make a NLMS adaptive filter

Args:
    first_input : Specifies whether first input is reference or error signal (bool)
    num_taps : Number of taps in the filter (int)
    mu : Gain of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    bypass : Bypass filter (bool)
    reset : Reset filter taps (bool)"





























%feature("docstring") gr::adapt::nlms_filter_ff::make "Normalized Least Mean Squares Adaptive Filter (float in/out)

This block implements an NLMS-based adaptive filter.

Constructor Specific Documentation:

Make a NLMS adaptive filter

Args:
    first_input : Specifies whether first input is reference or error signal (bool)
    num_taps : Number of taps in the filter (int)
    mu : Gain of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    bypass : Bypass filter (bool)
    reset : Reset filter taps (bool)"

%feature("docstring") gr::adapt::qrd_rls_filter_cc "QR Decomposition Recursive Least Squares Adaptive Filter (complex in/out)

This block implements a QRD-RLS-based adaptive filter.

Constructor Specific Documentation:

Make a QRD-RLS adaptive filter

Args:
    num_taps : Number of taps in the filter (int)
    delta : Regularization factor of the update loop (float)
    _lambda : Forgetting factor of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    reset : Reset filter taps (bool)"

























%feature("docstring") gr::adapt::qrd_rls_filter_cc::make "QR Decomposition Recursive Least Squares Adaptive Filter (complex in/out)

This block implements a QRD-RLS-based adaptive filter.

Constructor Specific Documentation:

Make a QRD-RLS adaptive filter

Args:
    num_taps : Number of taps in the filter (int)
    delta : Regularization factor of the update loop (float)
    _lambda : Forgetting factor of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    reset : Reset filter taps (bool)"

%feature("docstring") gr::adapt::qrd_rls_filter_ff "QR Decomposition Recursive Least Squares Adaptive Filter (float in/out)

This block implements a QRD-RLS-based adaptive filter.

Constructor Specific Documentation:

Make a QRD-RLS adaptive filter

Args:
    num_taps : Number of taps in the filter (int)
    delta : Regularization factor of the update loop (float)
    _lambda : Forgetting factor of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    reset : Reset filter taps (bool)"

























%feature("docstring") gr::adapt::qrd_rls_filter_ff::make "QR Decomposition Recursive Least Squares Adaptive Filter (float in/out)

This block implements a QRD-RLS-based adaptive filter.

Constructor Specific Documentation:

Make a QRD-RLS adaptive filter

Args:
    num_taps : Number of taps in the filter (int)
    delta : Regularization factor of the update loop (float)
    _lambda : Forgetting factor of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    reset : Reset filter taps (bool)"

%feature("docstring") gr::adapt::rls_filter_cc "Recursive Least Squares Adaptive Filter (complex in/out)

This block implements a RLS-based adaptive filter.

Constructor Specific Documentation:

Make a RLS adaptive filter

Args:
    first_input : Specifies whether first input is reference or error signal (bool)
    num_taps : Number of taps in the filter (int)
    delta : Regularization factor of the update loop (float)
    _lambda : Forgetting factor of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    reset : Reset filter taps (bool)"





























%feature("docstring") gr::adapt::rls_filter_cc::make "Recursive Least Squares Adaptive Filter (complex in/out)

This block implements a RLS-based adaptive filter.

Constructor Specific Documentation:

Make a RLS adaptive filter

Args:
    first_input : Specifies whether first input is reference or error signal (bool)
    num_taps : Number of taps in the filter (int)
    delta : Regularization factor of the update loop (float)
    _lambda : Forgetting factor of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    reset : Reset filter taps (bool)"

%feature("docstring") gr::adapt::rls_filter_ff "Recursive Least Squares Adaptive Filter (float in/out)

This block implements a RLS-based adaptive filter.

Constructor Specific Documentation:

Make a RLS adaptive filter

Args:
    first_input : Specifies whether first input is reference or error signal (bool)
    num_taps : Number of taps in the filter (int)
    delta : Regularization factor of the update loop (float)
    _lambda : Forgetting factor of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    reset : Reset filter taps (bool)"

























%feature("docstring") gr::adapt::rls_filter_ff::make "Recursive Least Squares Adaptive Filter (float in/out)

This block implements a RLS-based adaptive filter.

Constructor Specific Documentation:

Make a RLS adaptive filter

Args:
    first_input : Specifies whether first input is reference or error signal (bool)
    num_taps : Number of taps in the filter (int)
    delta : Regularization factor of the update loop (float)
    _lambda : Forgetting factor of the update loop (float)
    skip : Specifies how many samples are skipped between successive filter updates (unsigned)
    decimation : Decimation rate of the filter (unsigned)
    adapt : Controls whether filter taps are being updated (bool)
    reset : Reset filter taps (bool)"